net.dontdrinkandroot.wicket.resource

## Class FileResourceResponse

- java.lang.Object
- - org.apache.wicket.request.resource.AbstractResource.ResourceResponse
  - - net.dontdrinkandroot.wicket.resource.FileResourceResponse

    public class FileResourceResponse
    extends org.apache.wicket.request.resource.AbstractResource.ResourceResponse

### Constructor Summary

Constructors
Constructor and Description
`FileResourceResponse(File file)`

### Method Summary

Methods
`org.apache.wicket.request.resource.AbstractResource.WriteCallback` `getWriteCallback()`

### Methods inherited from class org.apache.wicket.request.resource.AbstractResource.ResourceResponse

`dataNeedsToBeWritten, disableCaching, getCacheDuration, getCacheScope, getContentDisposition, getContentLength, getContentType, getErrorCode, getErrorMessage, getFileName, getHeaders, getLastModified, getStatusCode, getTextEncoding, setCacheDuration, setCacheDurationToMaximum, setCacheScope, setContentDisposition, setContentLength, setContentType, setError, setError, setFileName, setLastModified, setStatusCode, setTextEncoding, setWriteCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileResourceResponse

    public FileResourceResponse(File file)

### Method Detail

#### getWriteCallback

    public org.apache.wicket.request.resource.AbstractResource.WriteCallback getWriteCallback()

Overrides:
  `getWriteCallback` in class `org.apache.wicket.request.resource.AbstractResource.ResourceResponse`